Bug 253133 - RFE: (Re)Enable progress meter for the forced fsck check
RFE: (Re)Enable progress meter for the forced fsck check
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 22:55 EDT by Deji Akingunola
Modified: 2014-03-16 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 15:43:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2007-08-16 22:55:02 EDT
Description of problem:
Please re-enable the progress meter for force fsck. With the current set-up,
novice users might be tempted to just reboot the system thinking the boot-up
sequenced has hanged. In my case, auto fsck took well over 5mins to complete. (i
think rhgb should also fall back to the detail view when auto-fsck runs). 

Version-Release number of selected component (if applicable):initscripts-8.55-1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2007-08-29 13:29:45 EDT
What does your /etc/sysconfig/init look like?
Comment 2 Deji Akingunola 2007-09-04 23:56:26 EDT
(In reply to comment #1)
> What does your /etc/sysconfig/init look like?
[deji@agape ~]$ cat /etc/sysconfig/init
# color => new RH6.0 bootup
# verbose => old-style bootup
# anything else => new style bootup without ANSI colors or positioning
BOOTUP=color
# Turn on graphical boot
GRAPHICAL=yes
# column to start "[  OK  ]" label in 
RES_COL=60
# terminal sequence to move to that column. You could change this
# to something like "tput hpa ${RES_COL}" if your terminal supports it
MOVE_TO_COL="echo -en \\033[${RES_COL}G"
# terminal sequence to set color to a 'success' color (currently: green)
SETCOLOR_SUCCESS="echo -en \\033[0;32m"
# terminal sequence to set color to a 'failure' color (currently: red)
SETCOLOR_FAILURE="echo -en \\033[0;31m"
# terminal sequence to set color to a 'warning' color (currently: yellow)
SETCOLOR_WARNING="echo -en \\033[0;33m"
# terminal sequence to reset to the default color.
SETCOLOR_NORMAL="echo -en \\033[0;39m"
# default kernel loglevel on boot (syslog will reset this)
LOGLEVEL=3
# Set to anything other than 'no' to allow hotkey interactive startup...
PROMPT=yes
# Set to 'yes' to allow probing for devices with swap signatures
AUTOSWAP=no
[deji@agape ~]$ 
Comment 3 Bill Nottingham 2007-09-05 00:22:34 EDT
With that configuration, you should already be seeing the progress bar.
Comment 4 Deji Akingunola 2007-09-05 00:43:41 EDT
Unfortunately, I'm not seeing the progress bar (coincidentally, I have to endure
another forced fsck booting up this session, today, with no progress bar).
Comment 5 Bill Nottingham 2007-09-05 00:48:38 EDT
If you run 'fsck -C <add other options as necessary>' by hand, do you see it?

(For the relevant code, see rc.sysinit line 488)
Comment 6 Jon Stanley 2008-04-23 16:29:26 EDT
Adding FutureFeature keyword to RFE's.
Comment 7 Bill Nottingham 2011-12-13 15:43:56 EST
This has moved to systemd; initscripts will no longer change in this area.

Note You need to log in before you can comment on or make changes to this bug.